CUTLASS: cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params Struct Reference

Parameters structure.

`#include <gemm.h>`

Collaboration diagram for cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params:
[legend]

## Public Member Functions
CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (cutlass::gemm::GemmCoord const &problem_size, cutlass::gemm::GemmCoord const &grid_tiled_shape, typename Mma::IteratorA::TensorRef ref_A, typename Mma::IteratorB::TensorRef ref_B, typename Epilogue::OutputTileIterator::TensorRef ref_C, typename Epilogue::OutputTileIterator::TensorRef ref_D, typename OutputOp::Params output_op=typename OutputOp::Params(), int *semaphore=nullptr)

## Public Attributes
cutlass::gemm::GemmCoord | problem_size
cutlass::gemm::GemmCoord | grid_tiled_shape
Mma::IteratorA::Params | params_A
Mma::IteratorA::TensorRef | ref_A
Mma::IteratorB::Params | params_B
Mma::IteratorB::TensorRef | ref_B
Epilogue::OutputTileIterator::Params | params_C
Epilogue::OutputTileIterator::TensorRef | ref_C
Epilogue::OutputTileIterator::Params | params_D
Epilogue::OutputTileIterator::TensorRef | ref_D
OutputOp::Params | output_op
int * | semaphore
int | gemm_k_iterations
int | gemm_k_size

## Constructor & Destructor Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

CUTLASS_HOST_DEVICE cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::Params | ( |  | ) |
| inline

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

CUTLASS_HOST_DEVICE cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::Params | ( | cutlass::gemm::GemmCoord const & | problem_size,
|  | cutlass::gemm::GemmCoord const & | grid_tiled_shape,
|  | typename Mma::IteratorA::TensorRef | ref_A,
|  | typename Mma::IteratorB::TensorRef | ref_B,
|  | typename Epilogue::OutputTileIterator::TensorRef | ref_C,
|  | typename Epilogue::OutputTileIterator::TensorRef | ref_D,
|  | typename OutputOp::Params | output_op = `typename OutputOp::Params()`,
|  | int * | semaphore = `nullptr`
| ) |  |
| inline

## Member Data Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

int cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::gemm_k_iterations

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

int cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::gemm_k_size

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

cutlass::gemm::GemmCoord cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::grid_tiled_shape

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

OutputOp::Params cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::output_op

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Mma::IteratorA::Params cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::params_A

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Mma::IteratorB::Params cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::params_B

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Epilogue::OutputTileIterator::Params cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::params_C

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Epilogue::OutputTileIterator::Params cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::params_D

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

cutlass::gemm::GemmCoord cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::problem_size

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Mma::IteratorA::TensorRef cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::ref_A

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Mma::IteratorB::TensorRef cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::ref_B

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Epilogue::OutputTileIterator::TensorRef cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::ref_C

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

Epilogue::OutputTileIterator::TensorRef cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::ref_D

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ , bool SplitKSerial>

int* cutlass::gemm::kernel::Gemm< Mma_, Epilogue_, ThreadblockSwizzle_, SplitKSerial >::Params::semaphore

The documentation for this struct was generated from the following file:

- include/cutlass/gemm/kernel/gemm.h